Debian Bug report logs - #584967
live-initramfs: debconf database is not filled

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Marco Stronati <youfind.marco@gmail.com>

Date: Mon, 7 Jun 2010 22:27:01 UTC

Severity: normal

Merged with 583485, 584075

Found in version live-initramfs/1.236.2-1

Fixed in version live-boot/2.0~a1-1

Done: daniel@debian.org

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584967; Package live-helper. (Mon, 07 Jun 2010 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Stronati <youfind.marco@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 07 Jun 2010 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Stronati <youfind.marco@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: machine boot fails to add default user
Date: Tue, 08 Jun 2010 00:24:35 +0200
Package: live-helper
Version: 2.0~a14-1
Severity: important

The configuration of the machine is the following:

lh config --apt-recommends false \
  --mirror-bootstrap "http://ftp.it.debian.org/debian/" \
  --mirror-chroot "http://ftp.it.debian.org/debian/" \
  --mirror-binary "http://ftp.it.debian.org/debian/" \
  --archive-areas "main contrib non-free" \
  -b usb-hdd -a i386 -k 686 -d sid -p "standard" \
  --packages "firmware-linux-nonfree" \
  --bootappend-live "locale=en_US.UTF-8"

lh build gives no errors but when I boot the image with qemu I got:

[...]
Begin: Adding live session user ... pwconv: failed to change the mode of /etc/passwd- to 0600
adduser: Only one or two names allowed.
chpasswd: (user ) pam_chauthtok() failed, error:
Authentication token manipulation error
chpasswd: (line 1, user ) password not changed
The default user (user) is not present,
no other valid users found, disabling autologin.
done.
[...]

And I cannot log in the system. I solved by using the interactive 
shell to manually add a user.
Thanks for the great software.

Marco

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.23     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18-1     GNU Internationalization utilities
pn  gnu-fdisk                     <none>     (no description available)

Versions of packages live-helper suggests:
ii  dosfstools                 3.0.9-1       utilities for making and checking 
ii  fakeroot                   1.14.4-1      Gives a fake root environment
ii  genisoimage                9:1.1.10-1    Creates ISO-9660 CD-ROM filesystem
ii  grub                       0.97-61       GRand Unified Bootloader (dummy pa
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     4.0.12-1      Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
ii  squashfs-tools             1:4.0-8       Tool to create and append to squas
ii  sudo                       1.7.2p6-1     Provide limited super user privile
ii  syslinux                   2:3.86+dfsg-3 utilities for the syslinux bootloa
pn  uuid-runtime               <none>        (no description available)
pn  win32-loader               <none>        (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584967; Package live-helper. (Tue, 08 Jun 2010 03:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 08 Jun 2010 03:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 584967@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Marco Stronati <youfind.marco@gmail.com>
Cc: 584967@bugs.debian.org
Subject: Re: Bug#584967: live-helper: machine boot fails to add default user
Date: Tue, 08 Jun 2010 05:50:45 +0200
reassign 584967 live-initramfs
retitle 584967 live-initramfs: debconf database is not filled
severity 584967 normal
tag 584967 pending
forcemerge 584967 583485
thanks

see #583485.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug reassigned from package 'live-helper' to 'live-initramfs'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 03:54:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions live-helper/2.0~a14-1. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 03:54:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'live-initramfs: debconf database is not filled' from 'live-helper: machine boot fails to add default user' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 03:54:06 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 03:54:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 03:54:07 GMT) Full text and rfc822 format available.

Forcibly Merged 583485 584075 584967. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 08 Jun 2010 03:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#584967; Package live-initramfs. (Mon, 28 Jun 2010 01:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "mdmarmer@netzero.com" <mdmarmer@netzero.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 28 Jun 2010 01:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 584967@bugs.debian.org (full text, mbox):

From: "mdmarmer@netzero.com" <mdmarmer@netzero.com>
To: 584967@bugs.debian.org
Subject: Bug is related to #580384
Date: Mon, 28 Jun 2010 01:12:03 GMT
I experienced the same problem of no default userid and unable to log in to live using the remastersys script.  I am using debian squeeze.  Downgrading passwd and live-initramfs to stable fixed my problem, and everything worked ok.  I first tried downgrading only passwd to stable -- I got a different error message but the same problem. I did not try downgrading only live-initramfs. #580384 documents the bug in passwd.

Mike Marmer

____________________________________________________________
TODAY: iPads for $123.74?
Alert: iPads are being auctioned on SwipeBids.com for 95% off today!
http://thirdpartyoffers.netzero.net/TGL3231/4c27f717382de98fe3st02duc




Bug marked as fixed in version 2.0~a1-1, send any further explanations to Josselin Mouette <joss@debian.org> Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:03:08 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.0~a1-1, send any further explanations to Pablo Barbachano <pablobarbachano@yahoo.es> Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:03:10 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.0~a1-1, send any further explanations to Marco Stronati <youfind.marco@gmail.com> Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 03:03:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Aug 2010 07:37:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:06:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.